Subject: regarding hello adjs

From: Srinivas Reddy <[email-masked]>
Date: Sat, 8 Sep 2001 19:35:07 +0530

Dear all,
	we are testing LDP functionality ,we are facing problem 
	decession of active and passive is done by compaing address(IP),and after 
that which is active, is initiating the session but hello adj is not formed 
at the passive because of passive router has not received hello so it is 
giving Adj not found .( in case where an LSP has got greater IP address and 
it is first going to be started sending hellos, and passive LSR is also 
starting Hellos but Active LSR is receiving Hello first and it is trying to 
initiate the TCP session whre as Passive LSR has not received hellos till now 
.. In reverse manner, starting of passive first and active second every thing 
is working finne)

my assumption here is that, at active router after receving the Hello, before 
starting the initiation of TCP session we can send one hello by resetting the 
hello timer.is this right ? or at passive LSR we have to  do some other thing 
to get formed the Hello adjs.
please suggest me if my assumption is wrong.
thanks in adv's 
regards
lonka

---

From: Srinivas Reddy <[email-masked]>
Date: Tue, 11 Sep 2001 16:31:06 +0530

Dear abhi and all,
	thank you for your suggestion, i am trying to test your logic ,
thanks 
lonka

On Monday 10 September 2001  2:57 pm, you wrote:
> Yours is a strictly implementation problem. I would suggest you one
> solution, but you can think of something better as well.
>
> here is the solution. If you get adjacency not found. Send a notification.
> (Specified in rfc3036. Now one may argue that there is no TCP session, but
> atleast TCP socket is there.) and when u receive that notification at
> originating LSR, flush the adjacency for the other guy and when next time
> you receive the hello.  (hopefully then ur hello has reached the other
> guy.) start session.
>
> This is definitely not a very "elegant" solution, rather a dirty trick,
> but perhaps may solve ur problem.
>
> --a
>
> Mr. Srinivas Reddy on Saturday writes...
>
> SR>Dear all,
> SR>	we are testing LDP functionality ,we are facing problem
> SR>	decession of active and passive is done by compaing
> SR>address(IP),and after that which is active, is initiating the
> SR>session but hello adj is not formed at the passive because of
> SR>passive router has not received hello so it is giving Adj not found
> SR>.( in case where an LSP has got greater IP address and it is first
> SR>going to be started sending hellos, and passive LSR is also starting
> SR>Hellos but Active LSR is receiving Hello first and it is trying to
> SR>initiate the TCP session whre as Passive LSR has not received hellos
> SR>till now .. In reverse manner, starting of passive first and active
> SR>second every thing is working finne)
> SR>
> SR>my assumption here is that, at active router after receving the
> SR>Hello, before starting the initiation of TCP session we can send one
> SR>hello by resetting the hello timer.is this right ? or at passive LSR
> SR>we have to do some other thing to get formed the Hello adjs. please
> SR>suggest me if my assumption is wrong. thanks in adv's regards lonka
> SR>